Bug 1183670 (CVE-2015-0437) - CVE-2015-0437 OpenJDK: code generation issue (Hotspot, 8064524)
Summary: CVE-2015-0437 OpenJDK: code generation issue (Hotspot, 8064524)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0437
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20150120,repor...
Depends On:
Blocks: 1179762
TreeView+ depends on / blocked
 
Reported: 2015-01-19 12:42 UTC by Tomas Hoger
Modified: 2019-06-08 20:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Hotspot component in OpenJDK in the way this component generated code for bytecode. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.
Clone Of:
Environment:
Last Closed: 2015-01-26 07:42:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0069 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-01-22 02:38:44 UTC
Red Hat Product Errata RHSA-2015:0080 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:34:38 UTC

Description Tomas Hoger 2015-01-19 12:42:53 UTC
A flaw was found in the way the Hotspot JVM code compiler generated optimized code.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2015-01-20 22:11:29 UTC
Public now via Oracle Critical Patch Update - January 2015.  Fixed in Oracle Java SE 8u31.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-01-21 22:45:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0069 https://rhn.redhat.com/errata/RHSA-2015-0069.html

Comment 3 Tomas Hoger 2015-01-22 12:21:41 UTC
Upstream OpenJDK commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/hotspot/rev/9906d432d6db

Comment 4 errata-xmlrpc 2015-01-22 21:25:08 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0080 https://rhn.redhat.com/errata/RHSA-2015-0080.html


Note You need to log in before you can comment on or make changes to this bug.